1. Budget
Personal Finance Tracker
  • Personal Finance Tracker
  • Auth
    • Register
      POST
    • Login
      POST
    • Email Verification
      POST
    • Forgot Password
      POST
    • Reset Password
      POST
    • Resend Verification Code
      POST
  • Finance
    • Wallet
      • Create Wallet
      • Get All Wallet
      • Get Detail Wallet
    • Transaction
      • Create New Transaction
      • Get Summary By WalletId
      • Delete Transaction
      • Update Transaction
      • Get Summary
    • Category
      • Create Category
      • Get All Category
    • Budget
      • Create Budget
        POST
      • Get All
        GET
      • Get Detail
        GET
  • User
    • Get My Profile
      GET
  • Schemas
    • Finance
      • Wallet
  1. Budget

Create Budget

Developing
POST
/api/v1/finance/budget
This API allows the creation of a new budget associated with a specific user and category. It enables users to define their financial plans, including description, allocated amount, and period.

Request

Authorization
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
Body Params application/json

Example
{
    "description" : "Budget untuk bayar kartu halo bulanan",
    "amount": 350000,
    "periodStart": {{$date.now}},
    "periodEnd" : {{$date.now}},
    "categoryId": {{categoryId}}
}

Request Code Samples

Shell
JavaScript
Java
Swift
Go
PHP
Python
HTTP
C
C#
Objective-C
Ruby
OCaml
Dart
R
Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST '/api/v1/finance/budget' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "description" : "Budget untuk bayar kartu halo bulanan",
    "amount": 350000,
    "periodStart": {{$date.now}},
    "periodEnd" : {{$date.now}},
    "categoryId": {{categoryId}}
}'

Responses

🟢200Success
application/json
Body

Example
{}
Modified at 2025-01-28 17:29:47
Previous
Get All Category
Next
Get All
Built with